Bug 1271673 - [GSS](6.4.z) Filesystem deployment scanner deployment failure removes other scanners ' deployments
[GSS](6.4.z) Filesystem deployment scanner deployment failure removes other s...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server (Show other bugs)
6.4.3
Unspecified Unspecified
medium Severity unspecified
: CR1
: EAP 6.4.10
Assigned To: baranowb
Peter Mackay
eap-docs
:
Depends On:
Blocks: TEIID-3708-DV6.2.5 1336569 eap6410-payload
  Show dependency treegraph
 
Reported: 2015-10-14 09:39 EDT by Van Halbert
Modified: 2017-01-17 08:03 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: TEIID-3708-DV6.2.5
: 1336569 (view as bug list)
Environment:
Last Closed: 2017-01-17 08:02:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-632 Major Resolved Subsystem deployment undeployed at startup 2017-07-19 10:24 EDT
Red Hat Knowledge Base (Solution) 2114751 None None None 2016-08-09 10:09 EDT

  None (edit)
Comment 4 Juraj Duráni 2015-12-01 04:27:49 EST
I tried it on "pure" eap and result is same:

- start server, deploy jdbc jar via CLI and stop server [1]
- add broken war to standalone/deployments folder (in my case, I just removed one class)
- start server [2]


[1]
10:20:23,045 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.7.Final-redhat-1
10:20:23,200 INFO  [org.jboss.msc] (main) JBoss MSC version 1.1.5.Final-redhat-1
10:20:23,267 INFO  [org.jboss.as] (MSC service thread 1-6) JBAS015899: JBoss EAP 6.4.3.GA (AS 7.5.3.Final-redhat-2) starting
10:20:24,281 INFO  [org.xnio] (MSC service thread 1-3) XNIO Version 3.0.14.GA-redhat-1
10:20:24,287 INFO  [org.xnio.nio] (MSC service thread 1-3) XNIO NIO Implementation Version 3.0.14.GA-redhat-1
10:20:24,289 INFO  [org.jboss.as.server] (Controller Boot Thread) JBAS015888: Creating http management service using socket-binding (management-http)
10:20:24,311 INFO  [org.jboss.remoting] (MSC service thread 1-3) JBoss Remoting version 3.3.5.Final-redhat-1
10:20:24,359 INFO  [org.jboss.as.clustering.infinispan] (ServerService Thread Pool -- 31) JBAS010280: Activating Infinispan subsystem.
10:20:24,401 INFO  [org.jboss.as.connector.logging] (MSC service thread 1-6) JBAS010408: Starting JCA Subsystem (IronJacamar 1.0.32.Final-redhat-1)
10:20:24,414 INFO  [org.jboss.as.jsf] (ServerService Thread Pool -- 37) JBAS012615: Activated the following JSF Implementations: [main, 1.2]
10:20:24,422 INFO  [org.jboss.as.security] (ServerService Thread Pool -- 44) JBAS013371: Activating Security Subsystem
10:20:24,429 INFO  [org.jboss.as.naming] (ServerService Thread Pool -- 39) JBAS011800: Activating Naming Subsystem
10:20:24,428 WARN  [org.jboss.as.txn] (ServerService Thread Pool -- 46) JBAS010153: Node identifier property is set to the default value. Please make sure it is unique.
10:20:24,469 INFO  [org.jboss.as.security] (MSC service thread 1-2) JBAS013370: Current PicketBox version=4.1.1.Final-redhat-1
10:20:24,473 INFO  [org.jboss.as.webservices] (ServerService Thread Pool -- 48) JBAS015537: Activating WebServices Extension
10:20:24,567 INFO  [org.jboss.as.naming] (MSC service thread 1-3) JBAS011802: Starting Naming Service
10:20:24,567 INFO  [org.jboss.as.connector.subsystems.datasources] (ServerService Thread Pool -- 27) JBAS010403: Deploying JDBC-compliant driver class org.h2.Driver (version 1.3)
10:20:24,571 INFO  [org.jboss.as.mail.extension] (MSC service thread 1-1) JBAS015400: Bound mail session [java:jboss/mail/Default]
10:20:24,854 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003001: Coyote HTTP/1.1 initializing on : http-/127.0.0.1:8080
10:20:24,901 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003000: Coyote HTTP/1.1 starting on: http-/127.0.0.1:8080
10:20:25,037 INFO  [org.jboss.as.server.deployment.scanner] (MSC service thread 1-3) JBAS015012: Started FileSystemDeploymentService for directory /home/jdurani/redhat/data-virtualization/eap/tmp_2/standalone/deployments
10:20:25,051 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-1) JBAS010400: Bound data source [java:jboss/datasources/ExampleDS]
10:20:25,057 INFO  [org.jboss.as.remoting] (MSC service thread 1-6) JBAS017100: Listening on 127.0.0.1:9999
10:20:25,057 INFO  [org.jboss.as.remoting] (MSC service thread 1-8) JBAS017100: Listening on 127.0.0.1:4447
10:20:25,117 INFO  [org.jboss.ws.common.management] (MSC service thread 1-5) JBWS022052: Starting JBoss Web Services - Stack CXF Server 4.3.5.Final-redhat-2
10:20:25,213 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015961: Http management interface listening on http://127.0.0.1:9990/management
10:20:25,214 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015951: Admin console listening on http://127.0.0.1:9990
10:20:25,214 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015874: JBoss EAP 6.4.3.GA (AS 7.5.3.Final-redhat-2) started in 2469ms - Started 153 of 191 services (57 services are lazy, passive or on-demand)
10:20:30,469 INFO  [org.jboss.as.repository] (management-handler-thread - 2) JBAS014900: Content added at location /home/jdurani/redhat/data-virtualization/eap/tmp_2/standalone/data/content/77/08265688e31a2826e8af5c333a8d862803db7b/content
10:20:30,484 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-6) JBAS015876: Starting deployment of "mariadb-java-client-1.1.7.jar" (runtime-name: "mariadb-java-client-1.1.7.jar")
10:20:30,611 INFO  [org.jboss.as.connector.deployers.jdbc] (MSC service thread 1-6) JBAS010404: Deploying non-JDBC-compliant driver class org.mariadb.jdbc.Driver (version 1.1)
10:20:30,751 INFO  [org.jboss.as.server] (management-handler-thread - 2) JBAS015859: Deployed "mariadb-java-client-1.1.7.jar" (runtime-name : "mariadb-java-client-1.1.7.jar")
10:20:37,065 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003075: Coyote HTTP/1.1 pausing on: http-/127.0.0.1:8080
10:20:37,066 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003077: Coyote HTTP/1.1 stopping on : http-/127.0.0.1:8080
10:20:37,067 INFO  [org.apache.catalina.core] (MSC service thread 1-7) JBWEB001079: Container org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/] has not been started
10:20:37,068 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-3) JBAS010409: Unbound data source [java:jboss/datasources/ExampleDS]
10:20:37,115 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-3) JBAS015877: Stopped deployment mariadb-java-client-1.1.7.jar (runtime-name: mariadb-java-client-1.1.7.jar) in 62ms
10:20:37,119 INFO  [org.jboss.as] (MSC service thread 1-3) JBAS015950: JBoss EAP 6.4.3.GA (AS 7.5.3.Final-redhat-2) stopped in 54ms
==================================================
==================================================
==================================================
==================================================

[2]
10:20:52,432 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.7.Final-redhat-1
10:20:52,605 INFO  [org.jboss.msc] (main) JBoss MSC version 1.1.5.Final-redhat-1
10:20:52,664 INFO  [org.jboss.as] (MSC service thread 1-7) JBAS015899: JBoss EAP 6.4.3.GA (AS 7.5.3.Final-redhat-2) starting
10:20:53,686 INFO  [org.xnio] (MSC service thread 1-1) XNIO Version 3.0.14.GA-redhat-1
10:20:53,695 INFO  [org.xnio.nio] (MSC service thread 1-1) XNIO NIO Implementation Version 3.0.14.GA-redhat-1
10:20:53,741 INFO  [org.jboss.as.server] (Controller Boot Thread) JBAS015888: Creating http management service using socket-binding (management-http)
10:20:53,761 INFO  [org.jboss.remoting] (MSC service thread 1-1) JBoss Remoting version 3.3.5.Final-redhat-1
10:20:53,852 INFO  [org.jboss.as.clustering.infinispan] (ServerService Thread Pool -- 31) JBAS010280: Activating Infinispan subsystem.
10:20:53,921 INFO  [org.jboss.as.jsf] (ServerService Thread Pool -- 37) JBAS012615: Activated the following JSF Implementations: [main, 1.2]
10:20:53,923 INFO  [org.jboss.as.security] (ServerService Thread Pool -- 44) JBAS013371: Activating Security Subsystem
10:20:53,929 INFO  [org.jboss.as.naming] (ServerService Thread Pool -- 39) JBAS011800: Activating Naming Subsystem
10:20:53,936 INFO  [org.jboss.as.webservices] (ServerService Thread Pool -- 48) JBAS015537: Activating WebServices Extension
10:20:53,934 WARN  [org.jboss.as.txn] (ServerService Thread Pool -- 46) JBAS010153: Node identifier property is set to the default value. Please make sure it is unique.
10:20:53,978 INFO  [org.jboss.as.connector.logging] (MSC service thread 1-1) JBAS010408: Starting JCA Subsystem (IronJacamar 1.0.32.Final-redhat-1)
10:20:54,007 INFO  [org.jboss.as.security] (MSC service thread 1-3) JBAS013370: Current PicketBox version=4.1.1.Final-redhat-1
10:20:54,016 INFO  [org.jboss.as.connector.subsystems.datasources] (ServerService Thread Pool -- 27) JBAS010403: Deploying JDBC-compliant driver class org.h2.Driver (version 1.3)
10:20:54,095 INFO  [org.jboss.as.naming] (MSC service thread 1-3) JBAS011802: Starting Naming Service
10:20:54,097 INFO  [org.jboss.as.mail.extension] (MSC service thread 1-4) JBAS015400: Bound mail session [java:jboss/mail/Default]
10:20:54,453 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003001: Coyote HTTP/1.1 initializing on : http-/127.0.0.1:8080
10:20:54,492 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-2) JBWEB003000: Coyote HTTP/1.1 starting on: http-/127.0.0.1:8080
10:20:54,616 INFO  [org.jboss.as.remoting] (MSC service thread 1-5) JBAS017100: Listening on 127.0.0.1:9999
10:20:54,618 INFO  [org.jboss.as.remoting] (MSC service thread 1-3) JBAS017100: Listening on 127.0.0.1:4447
10:20:54,622 INFO  [org.jboss.as.server.deployment.scanner] (MSC service thread 1-7) JBAS015012: Started FileSystemDeploymentService for directory /home/jdurani/redhat/data-virtualization/eap/tmp_2/standalone/deployments
10:20:54,626 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-2) JBAS015876: Starting deployment of "krb-soap-example-1.0-SNAPSHOT.war" (runtime-name: "krb-soap-example-1.0-SNAPSHOT.war")
10:20:54,626 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-1) JBAS015876: Starting deployment of "mariadb-java-client-1.1.7.jar" (runtime-name: "mariadb-java-client-1.1.7.jar")
10:20:54,813 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-2) JBAS010400: Bound data source [java:jboss/datasources/ExampleDS]
10:20:54,834 INFO  [org.jboss.ws.common.management] (MSC service thread 1-8) JBWS022052: Starting JBoss Web Services - Stack CXF Server 4.3.5.Final-redhat-2
10:20:54,913 INFO  [org.jboss.as.connector.deployers.jdbc] (MSC service thread 1-5) JBAS010404: Deploying non-JDBC-compliant driver class org.mariadb.jdbc.Driver (version 1.1)
10:20:54,921 WARN  [org.jboss.modules] (MSC service thread 1-3) Failed to define class org.teiid.test.webservice.impl.HelloWorldImpl in Module "deployment.krb-soap-example-1.0-SNAPSHOT.war:main" from Service Module Loader: java.lang.LinkageError: Failed to link org/teiid/test/webservice/impl/HelloWorldImpl (Module "deployment.krb-soap-example-1.0-SNAPSHOT.war:main" from Service Module Loader)
	at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:487) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.loadClassLocal(ModuleClassLoader.java:277) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader$1.loadClassLocal(ModuleClassLoader.java:92) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.Module.loadModuleClass(Module.java:568) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:205) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:459) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:408) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:389) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:134) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at java.lang.Class.forName0(Native Method) [rt.jar:1.8.0_40]
	at java.lang.Class.forName(Class.java:348) [rt.jar:1.8.0_40]
	at org.jboss.as.server.deployment.reflect.DeploymentClassIndex.classIndex(DeploymentClassIndex.java:54)
	at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.processComponentConfig(InterceptorAnnotationProcessor.java:85) [jboss-as-ee-7.5.3.Final-redhat-2.jar:7.5.3.Final-redhat-2]
	at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.deploy(InterceptorAnnotationProcessor.java:77) [jboss-as-ee-7.5.3.Final-redhat-2.jar:7.5.3.Final-redhat-2]
	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:159)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_40]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_40]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_40]
Caused by: java.lang.NoClassDefFoundError: org/teiid/test/webservice/HelloWorld
	at java.lang.ClassLoader.defineClass1(Native Method) [rt.jar:1.8.0_40]
	at java.lang.ClassLoader.defineClass(ClassLoader.java:760) [rt.jar:1.8.0_40]
	at org.jboss.modules.ModuleClassLoader.doDefineOrLoadClass(ModuleClassLoader.java:361) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:482) [jboss-modules.jar:1.3.7.Final-redhat-1]
	... 19 more
Caused by: java.lang.ClassNotFoundException: org.teiid.test.webservice.HelloWorld from [Module "deployment.krb-soap-example-1.0-SNAPSHOT.war:main" from Service Module Loader]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:213) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:459) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:408) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:389) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:134) [jboss-modules.jar:1.3.7.Final-redhat-1]
	... 23 more

10:20:54,945 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-3) MSC000001: Failed to start service jboss.deployment.unit."krb-soap-example-1.0-SNAPSHOT.war".POST_MODULE: org.jboss.msc.service.StartException in service jboss.deployment.unit."krb-soap-example-1.0-SNAPSHOT.war".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of deployment "krb-soap-example-1.0-SNAPSHOT.war"
	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:166) [jboss-as-server-7.5.3.Final-redhat-2.jar:7.5.3.Final-redhat-2]
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_40]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_40]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_40]
Caused by: java.lang.LinkageError: Failed to link org/teiid/test/webservice/impl/HelloWorldImpl (Module "deployment.krb-soap-example-1.0-SNAPSHOT.war:main" from Service Module Loader)
	at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:487) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.loadClassLocal(ModuleClassLoader.java:277) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader$1.loadClassLocal(ModuleClassLoader.java:92) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.Module.loadModuleClass(Module.java:568) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:205) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:459) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:408) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:389) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:134) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at java.lang.Class.forName0(Native Method) [rt.jar:1.8.0_40]
	at java.lang.Class.forName(Class.java:348) [rt.jar:1.8.0_40]
	at org.jboss.as.server.deployment.reflect.DeploymentClassIndex.classIndex(DeploymentClassIndex.java:54) [jboss-as-server-7.5.3.Final-redhat-2.jar:7.5.3.Final-redhat-2]
	at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.processComponentConfig(InterceptorAnnotationProcessor.java:85)
	at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.deploy(InterceptorAnnotationProcessor.java:77)
	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:159) [jboss-as-server-7.5.3.Final-redhat-2.jar:7.5.3.Final-redhat-2]
	... 5 more
Caused by: java.lang.NoClassDefFoundError: org/teiid/test/webservice/HelloWorld
	at java.lang.ClassLoader.defineClass1(Native Method) [rt.jar:1.8.0_40]
	at java.lang.ClassLoader.defineClass(ClassLoader.java:760) [rt.jar:1.8.0_40]
	at org.jboss.modules.ModuleClassLoader.doDefineOrLoadClass(ModuleClassLoader.java:361) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:482) [jboss-modules.jar:1.3.7.Final-redhat-1]
	... 19 more
Caused by: java.lang.ClassNotFoundException: org.teiid.test.webservice.HelloWorld from [Module "deployment.krb-soap-example-1.0-SNAPSHOT.war:main" from Service Module Loader]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:213) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:459) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:408) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:389) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:134) [jboss-modules.jar:1.3.7.Final-redhat-1]
	... 23 more

10:20:55,041 ERROR [org.jboss.as.controller.management-operation] (Controller Boot Thread) JBAS014612: Operation ("deploy") failed - address: ([("deployment" => "krb-soap-example-1.0-SNAPSHOT.war")]) - failure description: {"JBAS014671: Failed services" => {"jboss.deployment.unit.\"krb-soap-example-1.0-SNAPSHOT.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"krb-soap-example-1.0-SNAPSHOT.war\".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of deployment \"krb-soap-example-1.0-SNAPSHOT.war\"
    Caused by: java.lang.LinkageError: Failed to link org/teiid/test/webservice/impl/HelloWorldImpl (Module \"deployment.krb-soap-example-1.0-SNAPSHOT.war:main\" from Service Module Loader)
    Caused by: java.lang.NoClassDefFoundError: org/teiid/test/webservice/HelloWorld
    Caused by: java.lang.ClassNotFoundException: org.teiid.test.webservice.HelloWorld from [Module \"deployment.krb-soap-example-1.0-SNAPSHOT.war:main\" from Service Module Loader]"}}
10:20:55,090 INFO  [org.jboss.as.server] (Controller Boot Thread) JBAS015859: Deployed "mariadb-java-client-1.1.7.jar" (runtime-name : "mariadb-java-client-1.1.7.jar")
10:20:55,091 INFO  [org.jboss.as.server] (ServerService Thread Pool -- 28) JBAS015859: Deployed "krb-soap-example-1.0-SNAPSHOT.war" (runtime-name : "krb-soap-example-1.0-SNAPSHOT.war")
10:20:55,094 INFO  [org.jboss.as.controller] (Controller Boot Thread) JBAS014774: Service status report
JBAS014777:   Services which failed to start:      service jboss.deployment.unit."krb-soap-example-1.0-SNAPSHOT.war".POST_MODULE: org.jboss.msc.service.StartException in service jboss.deployment.unit."krb-soap-example-1.0-SNAPSHOT.war".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of deployment "krb-soap-example-1.0-SNAPSHOT.war"

10:20:55,133 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015961: Http management interface listening on http://127.0.0.1:9990/management
10:20:55,135 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015951: Admin console listening on http://127.0.0.1:9990
10:20:55,146 ERROR [org.jboss.as] (Controller Boot Thread) JBAS015875: JBoss EAP 6.4.3.GA (AS 7.5.3.Final-redhat-2) started (with errors) in 2997ms - Started 196 of 235 services (1 services failed or missing dependencies, 61 services are lazy, passive or on-demand)
10:20:55,327 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-7) JBAS015877: Stopped deployment krb-soap-example-1.0-SNAPSHOT.war (runtime-name: krb-soap-example-1.0-SNAPSHOT.war) in 4ms
10:20:55,331 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-2) JBAS015877: Stopped deployment mariadb-java-client-1.1.7.jar (runtime-name: mariadb-java-client-1.1.7.jar) in 9ms
10:20:55,376 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS015858: Undeployed "krb-soap-example-1.0-SNAPSHOT.war" (runtime-name: "krb-soap-example-1.0-SNAPSHOT.war")
10:20:55,379 INFO  [org.jboss.as.repository] (DeploymentScanner-threads - 2) JBAS014901: Content removed from location /home/jdurani/redhat/data-virtualization/eap/tmp_2/standalone/data/content/77/08265688e31a2826e8af5c333a8d862803db7b/content
10:20:55,380 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS015858: Undeployed "mariadb-java-client-1.1.7.jar" (runtime-name: "mariadb-java-client-1.1.7.jar")
10:20:55,380 INFO  [org.jboss.as.controller] (DeploymentScanner-threads - 2) JBAS014774: Service status report
JBAS014777:   Services which failed to start:      service jboss.deployment.unit."krb-soap-example-1.0-SNAPSHOT.war".POST_MODULE
Comment 5 baranowb 2015-12-01 07:20:53 EST
Ok, got it as well - though there are some probs with zip, but this is OS specific.
Comment 15 Peter Mackay 2016-08-29 10:38:12 EDT
Verified with EAP 6.4.10.CP.CR2
Comment 16 Petr Penicka 2017-01-17 08:02:29 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 17 Petr Penicka 2017-01-17 08:03:04 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.